openPilotLog

Public Member Functions | List of all members
Flight Class Reference
Inheritance diagram for Flight:

## Public Member Functions
| Flight (int flight_id)
| Flight (QMap< QString, QString > newData)
Public Member Functions inherited from Entry_deprecated
| Entry_deprecated (QString table, int row)
| Entry_deprecated (QString table, QMap< QString, QString > newData)
void | setData (QMap< QString, QString > &value)
bool | commit ()
bool | remove ()
bool | exists ()
void | print ()
QString | debug ()
| operator QString ()

## Additional Inherited Members
Public Attributes inherited from Entry_deprecated
QPair< QString, int > | position = QPair<QString, int>()
QVector< QString > | columns = QVector<QString>()
QMap< QString, QString > | data = QMap<QString, QString>()
QString | error = QString()

The documentation for this class was generated from the following files:

- src/classes/flight.h
- src/classes/flight.cpp